## libebur128 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(libebur128 C)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

include(utils)

add_subdirectory(ebur128)
add_subdirectory(test)


to_yes_no(SUMMARY_HAS_QUEUE SUMMARY_SPEEXDSP_FOUND)
to_yes_no(DISABLE_SPEEXDSP)

if(ENABLE_INTERNAL_QUEUE_H)
  set(USE_QUEUE "using own copy of queue.h")
else()
  set(USE_QUEUE "using system copy of queue.h")
endif()

##### Print status
message(STATUS "status          found / disabled --")
message(STATUS "queue.h:        ${SUMMARY_HAS_QUEUE}"        "     ${USE_QUEUE}")
message(STATUS "speexdsp:       ${SUMMARY_SPEEXDSP_FOUND}"   "     ${DISABLE_SPEEXDSP}")

if(NOT SUMMARY_HAS_QUEUE AND NOT ENABLE_INTERNAL_QUEUE_H)
  message(FATAL_ERROR "queue.h not found, please set ENABLE_INTERNAL_QUEUE_H to ON")
endif()

if(ENABLE_TESTS)
  message(STATUS "building tests!")
else()
  message(STATUS "not building tests, set ENABLE_TESTS to ON to enable")
endif()

=== ebur128/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

set(WITH_STATIC_PIC         OFF CACHE BOOL "Compile static library with -fPIC flag")
set(ENABLE_INTERNAL_QUEUE_H OFF CACHE BOOL "Use own queue.h")
set(DISABLE_SPEEXDSP        OFF CACHE BOOL "Don't build with speexdsp")


#### queue.h
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c
"#include <sys/queue.h>\nLIST_HEAD(listhead, entry) head;\nint main() { return 0; }")
try_compile(HAS_QUEUE ${CMAKE_CURRENT_BINARY_DIR}
                      ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c)

set(SUMMARY_HAS_QUEUE ${HAS_QUEUE} CACHE INTERNAL "")

if(ENABLE_INTERNAL_QUEUE_H)
    include_directories(SYSTEM queue)
endif()


#### speexdsp
if(NOT DISABLE_SPEEXDSP)
    find_pkg_config(SPEEXDSP speexdsp)
    if(SPEEXDSP_FOUND)
        include_directories(SYSTEM ${SPEEXDSP_INCLUDE_DIRS})
        add_definitions(-DUSE_SPEEX_RESAMPLER)
    endif()
endif()


if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES)
endif()


set(EBUR128_VERSION_MAJOR 1)
set(EBUR128_VERSION 1.0.1)

add_library(ebur128_static STATIC ebur128.c)
set_property(TARGET ebur128_static PROPERTY OUTPUT_NAME ebur128)
if(WITH_STATIC_PIC)
    set_property(TARGET ebur128_static PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

add_library(ebur128 SHARED ebur128.c)
set_target_properties(ebur128 PROPERTIES
    SOVERSION ${EBUR128_VERSION_MAJOR}
    VERSION ${EBUR128_VERSION})


if(SPEEXDSP_FOUND AND NOT DISABLE_SPEEXDSP)
    set_property(TARGET ebur128_static APPEND_STRING PROPERTY
        COMPILE_FLAGS " ${SPEEXDSP_CFLAGS}")
    set_property(TARGET ebur128 APPEND_STRING PROPERTY
        COMPILE_FLAGS " ${SPEEXDSP_CFLAGS}")
    target_link_libraries(ebur128 ${SPEEXDSP_LIBRARIES})
endif()


set(SUMMARY_SPEEXDSP_FOUND ${SPEEXDSP_FOUND} CACHE INTERNAL "")
set(EBUR128_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

install(FILES ebur128.h DESTINATION include)
install(TARGETS ebur128 ebur128_static DESTINATION lib)

=== debian/changelog ===
libebur128 (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #730129)

 -- Andrew Kelley <superjoe30@gmail.com>  Tue, 18 Feb 2014 13:54:18 -0400

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<libebur128>-$1\.tar\.gz/ https://github.com/jiixyj/libebur128/tags .*/v?(\d\S*)\.tar\.gz

## libebur128 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 
 include(utils)
+include(GNUInstallDirs)
 
 add_subdirectory(ebur128)
 add_subdirectory(test)

=== ebur128/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,9 @@
     SOVERSION ${EBUR128_VERSION_MAJOR}
     VERSION ${EBUR128_VERSION})
 
+if(UNIX)
+  target_link_libraries(ebur128 -lm)
+endif(UNIX)
 
 if(SPEEXDSP_FOUND AND NOT DISABLE_SPEEXDSP)
     set_property(TARGET ebur128_static APPEND_STRING PROPERTY
@@ -60,5 +63,5 @@
 set(SUMMARY_SPEEXDSP_FOUND ${SPEEXDSP_FOUND} CACHE INTERNAL "")
 set(EBUR128_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
 
-install(FILES ebur128.h DESTINATION include)
-install(TARGETS ebur128 ebur128_static DESTINATION lib)
+install(FILES ebur128.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(TARGETS ebur128 ebur128_static DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)

set(ENABLE_TESTS OFF CACHE BOOL "Build test binaries, needs libsndfile")

if(ENABLE_TESTS)
  find_pkg_config(SNDFILE sndfile REQUIRED)

  include_directories(${EBUR128_INCLUDE_DIR})
  include_directories(SYSTEM ${SNDFILE_INCLUDE_DIRS})
  add_executable(r128-test-library tests)
  add_executable(minimal-example minimal-example)
  set_property(TARGET r128-test-library APPEND_STRING PROPERTY
      COMPILE_FLAGS " ${SNDFILE_CFLAGS}")
  set_property(TARGET minimal-example APPEND_STRING PROPERTY
      COMPILE_FLAGS " ${SNDFILE_CFLAGS}")
  target_link_libraries(r128-test-library ebur128 ${SNDFILE_LIBRARIES})
  target_link_libraries(minimal-example ebur128 ${SNDFILE_LIBRARIES})
endif()

=== debian/changelog ===
libebur128 (1.0.2-1) unstable; urgency=low

  * New upstream release
    - Fixes memory leak when API used improperly (Closes: #762384)
  * Update to canonical watch file format
  * Add Upstream-Contact to copyright
  * Remove patches which are now shipped from upstream

 -- Andrew Kelley <superjoe30@gmail.com>  Mon, 29 Sep 2014 00:03:24 +0000

=== debian/control ===
Source: libebur128
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Kelley <superjoe30@gmail.com>, Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper (>= 9), cmake, libspeexdsp-dev, pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/jiixyj/libebur128
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebur128.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebur128.git;a=summary

Package: libebur128-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libebur128-1 (= ${binary:Version}), ${misc:Depends}
Description: implementation of the EBU R128 loudness standard (development files)
 The European Broadcasting Union Loudness Recommendation (EBU R128) informs
 broadcasters how they can analyze and normalize audio so that each piece of
 audio sounds roughly the same volume to the human ear.
 .
 This C library provides an API which analyzes audio and outputs perceived
 loudness. The results can then be used to normalize volume during playback.
 This is an alternative to ReplayGain.
 .
 Features:
  * Implements M, S and I modes
  * Implements loudness range measurement (EBU - TECH 3342)
  * True peak scanning
  * Supports all samplerates by recalculation of the filter coefficients
 .
 This package contains the development files.

Package: libebur128-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: implementation of the EBU R128 loudness standard
 The European Broadcasting Union Loudness Recommendation (EBU R128) informs
 broadcasters how they can analyze and normalize audio so that each piece of
 audio sounds roughly the same volume to the human ear.
 .
 This C library provides an API which analyzes audio and outputs perceived
 loudness. The results can then be used to normalize volume during playback.
 This is an alternative to ReplayGain.
 .
 Features:
  * Implements M, S and I modes
  * Implements loudness range measurement (EBU - TECH 3342)
  * True peak scanning
  * Supports all samplerates by recalculation of the filter coefficients
 .
 This package contains the shared library.

## libebur128 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 project(libebur128 C)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
@@ -11,7 +11,6 @@
 add_subdirectory(ebur128)
 add_subdirectory(test)
 
-
 to_yes_no(SUMMARY_HAS_QUEUE SUMMARY_SPEEXDSP_FOUND)
 to_yes_no(DISABLE_SPEEXDSP)
 
@@ -22,9 +21,15 @@
 endif()
 
 ##### Print status
-message(STATUS "status          found / disabled --")
+message(STATUS "Status          found / disabled --")
 message(STATUS "queue.h:        ${SUMMARY_HAS_QUEUE}"        "     ${USE_QUEUE}")
 message(STATUS "speexdsp:       ${SUMMARY_SPEEXDSP_FOUND}"   "     ${DISABLE_SPEEXDSP}")
+
+if(BUILD_STATIC_LIBS)
+  message(STATUS "build static library and shared library!")
+else()
+  message(STATUS "not building static library, set BUILD_STATIC_LIBS to ON to enable")
+endif()
 
 if(NOT SUMMARY_HAS_QUEUE AND NOT ENABLE_INTERNAL_QUEUE_H)
   message(FATAL_ERROR "queue.h not found, please set ENABLE_INTERNAL_QUEUE_H to ON")

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,12 @@
 set(ENABLE_TESTS OFF CACHE BOOL "Build test binaries, needs libsndfile")
 
 if(ENABLE_TESTS)
+  find_package(PkgConfig REQUIRED)
   find_pkg_config(SNDFILE sndfile REQUIRED)
 
   include_directories(${EBUR128_INCLUDE_DIR})
   include_directories(SYSTEM ${SNDFILE_INCLUDE_DIRS})
+
   add_executable(r128-test-library tests)
   add_executable(minimal-example minimal-example)
   set_property(TARGET r128-test-library APPEND_STRING PROPERTY

=== debian/changelog ===
libebur128 (1.1.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 28 Jul 2016 14:42:56 -0700

libebur128 (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libebur128-1.symbols: Update symbols.
  * debian/control:
    - Update Vcs-*.
    - Bump Standards-Version to 3.9.7.
    - Remove obsolete Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Feb 2016 20:06:59 +0100

libebur128 (1.0.3-1) unstable; urgency=medium

  * New upstream relese.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Jan 2016 13:34:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: libebur128
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Andrew Kelley <superjoe30@gmail.com>, Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 9), cmake, libspeexdsp-dev, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebur128.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebur128.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebur128.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebur128.git
 
 Package: libebur128-dev
 Section: libdevel
@@ -35,7 +37,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: implementation of the EBU R128 loudness standard
  The European Broadcasting Union Loudness Recommendation (EBU R128) informs
  broadcasters how they can analyze and normalize audio so that each piece of

## libebur128 1.2.0

=== debian/changelog ===
libebur128 (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Provide pkg-config file. (Closes: #854340)
    - debian/patches: Add upstream patch to provide pkgconfig file.
    - debian/libebur128-dev.install: Install pkg-config file.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Feb 2017 15:08:47 +0100

libebur128 (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}: Bump debhelper compat to 10.
  * debian/control:
    - Bump Standards-Version.
    - Drop libspeexdsp-dev from B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Nov 2016 23:49:43 +0100

## libebur128 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,7 @@
 add_subdirectory(ebur128)
 add_subdirectory(test)
 
-to_yes_no(SUMMARY_HAS_QUEUE SUMMARY_SPEEXDSP_FOUND)
-to_yes_no(DISABLE_SPEEXDSP)
+to_yes_no(SUMMARY_HAS_QUEUE)
 
 if(ENABLE_INTERNAL_QUEUE_H)
   set(USE_QUEUE "using own copy of queue.h")
@@ -23,7 +22,6 @@
 ##### Print status
 message(STATUS "Status          found / disabled --")
 message(STATUS "queue.h:        ${SUMMARY_HAS_QUEUE}"        "     ${USE_QUEUE}")
-message(STATUS "speexdsp:       ${SUMMARY_SPEEXDSP_FOUND}"   "     ${DISABLE_SPEEXDSP}")
 
 if(BUILD_STATIC_LIBS)
   message(STATUS "build static library and shared library!")
@@ -31,7 +29,7 @@
   message(STATUS "not building static library, set BUILD_STATIC_LIBS to ON to enable")
 endif()
 
-if(NOT SUMMARY_HAS_QUEUE AND NOT ENABLE_INTERNAL_QUEUE_H)
+if(NOT ${SUMMARY_HAS_QUEUE} AND NOT ${ENABLE_INTERNAL_QUEUE_H})
   message(FATAL_ERROR "queue.h not found, please set ENABLE_INTERNAL_QUEUE_H to ON")
 endif()

=== ebur128/CMakeLists.txt ===
set(BUILD_STATIC_LIBS       ON  CACHE BOOL "Build static library")
set(WITH_STATIC_PIC         OFF CACHE BOOL "Compile static library with -fPIC flag")
set(ENABLE_INTERNAL_QUEUE_H OFF CACHE BOOL "Use own queue.h")

#### queue.h
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c
"#include <sys/queue.h>\nLIST_HEAD(listhead, entry) head;\nint main() { return 0; }")
try_compile(HAS_QUEUE ${CMAKE_CURRENT_BINARY_DIR}
                      ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c)

set(SUMMARY_HAS_QUEUE ${HAS_QUEUE} CACHE INTERNAL "")

if(ENABLE_INTERNAL_QUEUE_H)
  include_directories(SYSTEM queue)
endif()


if(MSVC)
  add_definitions(-D_USE_MATH_DEFINES)
  add_definitions(/arch:SSE2)
  add_definitions(-D __SSE2_MATH__)
endif()


set(EBUR128_VERSION_MAJOR 1)
set(EBUR128_VERSION 1.2.2)

#### static
if(BUILD_STATIC_LIBS)
  add_library(ebur128_static STATIC ebur128.c)
  set_property(TARGET ebur128_static PROPERTY OUTPUT_NAME ebur128)
endif()

if(WITH_STATIC_PIC)
  set_property(TARGET ebur128_static PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

#### shared
# set source file for library, which includes def file if using MSVC
set(EBUR128_SHARED_SOURCE ebur128.c)
if(MSVC)
  set(EBUR128_SHARED_SOURCE ${EBUR128_SHARED_SOURCE} ebur128.def)
endif()

add_library(ebur128 SHARED ${EBUR128_SHARED_SOURCE})
set_target_properties(ebur128 PROPERTIES
    SOVERSION ${EBUR128_VERSION_MAJOR}
    VERSION ${EBUR128_VERSION})

if(UNIX)
  target_link_libraries(ebur128 m)
endif()

set(EBUR128_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

install(FILES ebur128.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
if(BUILD_STATIC_LIBS)
  install(TARGETS ebur128 ebur128_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
else()
  install(TARGETS ebur128 DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

=== debian/changelog ===
libebur128 (1.2.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 28 Feb 2017 22:45:32 +0100

libebur128 (1.2.2-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Feb 2017 21:10:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: libebur128
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Andrew Kelley <superjoe30@gmail.com>, Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 9), cmake, libspeexdsp-dev, pkg-config
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10), cmake, pkg-config
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebur128.git

## libebur128 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 project(libebur128 C)
 
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
-set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
+set(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
 
 include(utils)
 include(GNUInstallDirs)

=== ebur128/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,14 @@
 
 
 set(EBUR128_VERSION_MAJOR 1)
-set(EBUR128_VERSION 1.2.2)
+set(EBUR128_VERSION 1.2.4)
 
 #### static
 if(BUILD_STATIC_LIBS)
   add_library(ebur128_static STATIC ebur128.c)
-  set_property(TARGET ebur128_static PROPERTY OUTPUT_NAME ebur128)
+  if(NOT MSVC)
+    set_property(TARGET ebur128_static PROPERTY OUTPUT_NAME ebur128)
+  endif()
 endif()
 
 if(WITH_STATIC_PIC)
@@ -47,8 +49,9 @@
     SOVERSION ${EBUR128_VERSION_MAJOR}
     VERSION ${EBUR128_VERSION})
 
-if(UNIX)
-  target_link_libraries(ebur128 m)
+find_library(MATH_LIBRARY m)
+if(MATH_LIBRARY)
+  target_link_libraries(ebur128 ${MATH_LIBRARY})
 endif()
 
 set(EBUR128_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
@@ -59,3 +62,9 @@
 else()
   install(TARGETS ebur128 DESTINATION ${CMAKE_INSTALL_LIBDIR})
 endif()
+
+#### pkg-config
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libebur128.pc.cmake
+               ${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc @ONLY)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc"
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libebur128 (1.2.4-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * Remove Andrew from Uploaders, as he is no longer active (Closes: #909872)

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Jan 2019 13:16:42 +0100

libebur128 (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Move to salsa.debian.org.
  * debian/: Bump debhelper compat to 11.
  * debian/copyright: Add myself.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Feb 2018 18:58:27 +0100

libebur128 (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/patches: Removed, integrated upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Nov 2017 12:49:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libebur128
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Andrew Kelley <superjoe30@gmail.com>, Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 10), cmake, pkg-config
-Standards-Version: 3.9.8
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: debhelper (>= 12), cmake, pkg-config
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebur128.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebur128.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libebur128.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libebur128
 
 Package: libebur128-dev
 Section: libdevel

## libebur128 1.2.5

=== ebur128/CMakeLists.txt ===
set(BUILD_STATIC_LIBS       ON  CACHE BOOL "Build static library")
set(WITH_STATIC_PIC         OFF CACHE BOOL "Compile static library with -fPIC flag")

#### queue.h
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c
"#include <sys/queue.h>\nLIST_HEAD(listhead, entry) head;\nint main() { return 0; }")
try_compile(HAS_QUEUE ${CMAKE_CURRENT_BINARY_DIR}
                      ${CMAKE_CURRENT_BINARY_DIR}/queuetest.c)

set(SUMMARY_HAS_QUEUE ${HAS_QUEUE} CACHE INTERNAL "")

include(CMakeDependentOption)
cmake_dependent_option(ENABLE_INTERNAL_QUEUE_H "Use own queue.h" OFF "HAS_QUEUE" ON)
# PARENT_SCOPE set necessary due to status print in parent CMakeLists.txt
set(ENABLE_INTERNAL_QUEUE_H ${ENABLE_INTERNAL_QUEUE_H} PARENT_SCOPE)

if(ENABLE_INTERNAL_QUEUE_H)
  include_directories(SYSTEM queue)
endif()


if(MSVC)
  add_definitions(-D_USE_MATH_DEFINES)
  if(CMAKE_SIZEOF_VOID_P LESS 8)
    add_definitions(/arch:SSE2)
  endif()
endif()


set(EBUR128_VERSION_MAJOR 1)
set(EBUR128_VERSION 1.2.5)

add_library(ebur128 ebur128.c)

if(NOT BUILD_SHARED_LIBS)
  # Static build specific things
  if(WITH_STATIC_PIC)
    set_property(TARGET ebur128 PROPERTY POSITION_INDEPENDENT_CODE ON)

    set_target_properties(ebur128 PROPERTIES
      SOVERSION ${EBUR128_VERSION_MAJOR}
      VERSION ${EBUR128_VERSION})
  endif()

else()
  # Share build specific things
  set_target_properties(ebur128 PROPERTIES
    SOVERSION ${EBUR128_VERSION_MAJOR}
    VERSION ${EBUR128_VERSION})

  if(WIN32)
    set_target_properties(ebur128 PROPERTIES
      OUTPUT_NAME ebur128
      RUNTIME_OUTPUT_NAME ebur128-${EBUR128_VERSION_MAJOR}
      ARCHIVE_OUTPUT_NAME ebur128)
  endif(WIN32)

  if(MSVC)
    target_sources(ebur128 PRIVATE ebur128.def)
  endif()
endif()

# Link with Math library if available
find_library(MATH_LIBRARY m)
if(MATH_LIBRARY)
  target_link_libraries(ebur128 ${MATH_LIBRARY})
endif()

if(ENABLE_FUZZER)
  target_compile_options(ebur128 PUBLIC "${FUZZER_FLAGS}")
  target_compile_definitions(ebur128 PRIVATE malloc=my_malloc calloc=my_calloc)
  target_link_libraries(ebur128 "${SANITIZER_FLAGS}")
endif()

set(EBUR128_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")

install(FILES ebur128.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(TARGETS ebur128
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

#### pkg-config
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libebur128.pc.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc"
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libebur128 (1.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
    - Bump debhelper compat to 13
  * debian/libebur128-dev.install: No longer install static library

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Feb 2021 20:50:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 12), cmake, pkg-config
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), cmake, pkg-config
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebur128.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libebur128
+Rules-Requires-Root: no
 
 Package: libebur128-dev
 Section: libdevel

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libebur128-$1.tar.gz/ \
 https://github.com/jiixyj/libebur128/tags .*/archive/v?([\d\.]+).tar.gz

## libebur128 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,14 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 project(libebur128 C)
+
+option(BUILD_SHARED_LIBS
+    "Build shared libraries instead of static ones" ON)
+
+if(ENABLE_FUZZER)
+  enable_language(CXX)
+  set(SANITIZER_FLAGS "-fsanitize=address,undefined,unsigned-integer-overflow")
+  set(FUZZER_FLAGS "${SANITIZER_FLAGS},fuzzer")
+endif()
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
@@ -23,14 +32,10 @@
 message(STATUS "Status          found / disabled --")
 message(STATUS "queue.h:        ${SUMMARY_HAS_QUEUE}"        "     ${USE_QUEUE}")
 
-if(BUILD_STATIC_LIBS)
-  message(STATUS "build static library and shared library!")
+if(BUILD_SHARED_LIBS)
+  message(STATUS "Building shared library (set BUILD_SHARED_LIBS to OFF to build static)")
 else()
-  message(STATUS "not building static library, set BUILD_STATIC_LIBS to ON to enable")
-endif()
-
-if(NOT ${SUMMARY_HAS_QUEUE} AND NOT ${ENABLE_INTERNAL_QUEUE_H})
-  message(FATAL_ERROR "queue.h not found, please set ENABLE_INTERNAL_QUEUE_H to ON")
+  message(STATUS "Building static library")
 endif()
 
 if(ENABLE_TESTS)

=== ebur128/CMakeLists.txt ===
--- 
+++ 
@@ -28,35 +28,21 @@
 
 
 set(EBUR128_VERSION_MAJOR 1)
-set(EBUR128_VERSION 1.2.5)
+set(EBUR128_VERSION 1.2.6)
 
 add_library(ebur128 ebur128.c)
+set_target_properties(ebur128 PROPERTIES
+  SOVERSION ${EBUR128_VERSION_MAJOR}
+  VERSION ${EBUR128_VERSION}
+)
 
-if(NOT BUILD_SHARED_LIBS)
-  # Static build specific things
+if(BUILD_SHARED_LIBS)
+  if(MSVC)
+    target_sources(ebur128 PRIVATE ebur128.def)
+  endif()
+else()
   if(WITH_STATIC_PIC)
     set_property(TARGET ebur128 PROPERTY POSITION_INDEPENDENT_CODE ON)
-
-    set_target_properties(ebur128 PROPERTIES
-      SOVERSION ${EBUR128_VERSION_MAJOR}
-      VERSION ${EBUR128_VERSION})
-  endif()
-
-else()
-  # Share build specific things
-  set_target_properties(ebur128 PROPERTIES
-    SOVERSION ${EBUR128_VERSION_MAJOR}
-    VERSION ${EBUR128_VERSION})
-
-  if(WIN32)
-    set_target_properties(ebur128 PROPERTIES
-      OUTPUT_NAME ebur128
-      RUNTIME_OUTPUT_NAME ebur128-${EBUR128_VERSION_MAJOR}
-      ARCHIVE_OUTPUT_NAME ebur128)
-  endif(WIN32)
-
-  if(MSVC)
-    target_sources(ebur128 PRIVATE ebur128.def)
   endif()
 endif()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(ENABLE_TESTS OFF CACHE BOOL "Build test binaries, needs libsndfile")
+set(ENABLE_FUZZER OFF CACHE BOOL "Build fuzzer binary")
 
 if(ENABLE_TESTS)
   find_package(PkgConfig REQUIRED)
@@ -18,3 +19,12 @@
   target_link_libraries(r128-test-library ebur128 ${SNDFILE_LIBRARIES})
   target_link_libraries(minimal-example ebur128 ${SNDFILE_LIBRARIES})
 endif()
+
+if(ENABLE_FUZZER)
+  include_directories(${EBUR128_INCLUDE_DIR})
+
+  add_executable(fuzzer fuzzer)
+  target_link_libraries(fuzzer ebur128)
+  target_compile_options(fuzzer PUBLIC "${FUZZER_FLAGS}")
+  target_link_libraries(fuzzer "${FUZZER_FLAGS}")
+endif()

=== debian/changelog ===
libebur128 (1.2.6-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
  * debian/patches: Set the minimum CMake version to 3.5 (Closes: #1113143)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Sep 2025 21:08:21 +0200

libebur128 (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Sep 2021 22:14:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, pkg-config
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebur128.git

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libebur128-$1.tar.gz/ \
 https://github.com/jiixyj/libebur128/tags .*/v?([\d\.]+).tar.gz
